kaleidocycle(6)

NAME
kaleidocycle - draws twistable rings of tetrahedra

SYNOPSIS
kaleidocycle [-display host:display.screen] [-window] [-root] [-visual visual] [-delay microseconds] [-count number] [-speed number] [-wander] [-no-wander] [-spin axes] [-no-spin] [-wireframe] [-fps]

DESCRIPTION
The kaleidocycle program draws a ring composed of tetrahedra connected at the edges that twists and rotates toroidally. Segments are occasionally inserted or removed.

OPTIONS
kaleidocycle accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-count number
    The initial number of segments. Default 16. Must be 8 or greater, and an even number.

-speed number
    Adjust the animation speed. 0.5 for half as fast, 2.0 for twice as fast.

-wander
    Move the text around the screen. This is the default.

-no-wander
    Keep the text centered on the screen.

-spin
    Which axes around which the text should spin. The default is "Z", meaning rotate the object the plane of the screen only.

-no-spin
    Don't spin the text at all: the same as -spin "".

-wireframe
    Render in wireframe instead of solid.

-fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2001-2013 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>